<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural Network Interface for Quantum Observable Readout from N-body wavefunctions: RHO2_formula_error.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_rainbow_400.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural Network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('RHO2__formula__error_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">RHO2_formula_error.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceRHO2__formula__error"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html">RHO2_formula_error</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:af95f8940b8a503365be6fcd67fc68396"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#af95f8940b8a503365be6fcd67fc68396">RHO2_formula_error.NSPS</a> = np.arange(10, 101, 10, dtype=int)</td></tr>
<tr class="separator:af95f8940b8a503365be6fcd67fc68396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affc1ff0a9d2cece7b0ba17e5e72b7ef4"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#affc1ff0a9d2cece7b0ba17e5e72b7ef4">RHO2_formula_error.scores</a> = []</td></tr>
<tr class="separator:affc1ff0a9d2cece7b0ba17e5e72b7ef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9616d3ac82b0e43b2c0a411a416a3b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#ac9616d3ac82b0e43b2c0a411a416a3b9">RHO2_formula_error.Learn</a></td></tr>
<tr class="separator:ac9616d3ac82b0e43b2c0a411a416a3b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04b9a6c5091b07af8dc0cf9c6bbf1aef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a04b9a6c5091b07af8dc0cf9c6bbf1aef">RHO2_formula_error.momLabels</a></td></tr>
<tr class="separator:a04b9a6c5091b07af8dc0cf9c6bbf1aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c756eada9ebbc0ecf4d66ad66cdf27f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a8c756eada9ebbc0ecf4d66ad66cdf27f">RHO2_formula_error.momData</a></td></tr>
<tr class="separator:a8c756eada9ebbc0ecf4d66ad66cdf27f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7ca65144f8e9c596f2884d7d1235caf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#af7ca65144f8e9c596f2884d7d1235caf">RHO2_formula_error.NDatasets</a></td></tr>
<tr class="separator:af7ca65144f8e9c596f2884d7d1235caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58979a2df35a2640fb3542515114f649"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a58979a2df35a2640fb3542515114f649">RHO2_formula_error.DataString</a> = SpaceString(inp.momData)</td></tr>
<tr class="separator:a58979a2df35a2640fb3542515114f649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d6f053ffa3122046f651cd147e4b2a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a50d6f053ffa3122046f651cd147e4b2a">RHO2_formula_error.LabelString</a> = SpaceString(inp.momLabels)</td></tr>
<tr class="separator:a50d6f053ffa3122046f651cd147e4b2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb930d10f66202ff440f88dcd6d049f7"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#abb930d10f66202ff440f88dcd6d049f7">RHO2_formula_error.fname</a> = 'Errors_'+inp.Learn+'_in_'+LabelString+'_from_SSS_in_'+DataString+'_from_formula_'+str(inp.NDatasets)+'_datasets'</td></tr>
<tr class="separator:abb930d10f66202ff440f88dcd6d049f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae309c1b61defb5c8a7687af454b5aaa4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#ae309c1b61defb5c8a7687af454b5aaa4">RHO2_formula_error.NShotsPerSample</a></td></tr>
<tr class="separator:ae309c1b61defb5c8a7687af454b5aaa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f82461ba7a40b37b5723b90ea806319"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a0f82461ba7a40b37b5723b90ea806319">RHO2_formula_error.NShots</a></td></tr>
<tr class="separator:a0f82461ba7a40b37b5723b90ea806319"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af00b80989b428739a3aeb0538796bbc8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#af00b80989b428739a3aeb0538796bbc8">RHO2_formula_error.training_generator</a></td></tr>
<tr class="separator:af00b80989b428739a3aeb0538796bbc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b8d6ad835f9f4dc7eb77a4dd5b16208"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a5b8d6ad835f9f4dc7eb77a4dd5b16208">RHO2_formula_error.validation_generator</a></td></tr>
<tr class="separator:a5b8d6ad835f9f4dc7eb77a4dd5b16208"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99ccd70c976ca92d569ed73b4ccfbbec"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a99ccd70c976ca92d569ed73b4ccfbbec">RHO2_formula_error.X_train</a></td></tr>
<tr class="separator:a99ccd70c976ca92d569ed73b4ccfbbec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67c621258caceed07af59f958afe13d8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a67c621258caceed07af59f958afe13d8">RHO2_formula_error.y_train</a></td></tr>
<tr class="separator:a67c621258caceed07af59f958afe13d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf529993a6ae4d15f3c9d587431b1ca2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#abf529993a6ae4d15f3c9d587431b1ca2">RHO2_formula_error.X_val</a></td></tr>
<tr class="separator:abf529993a6ae4d15f3c9d587431b1ca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d922c7ea26372d5ab028b7060071957"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a3d922c7ea26372d5ab028b7060071957">RHO2_formula_error.y_val</a> = np.array(y_val)</td></tr>
<tr class="separator:a3d922c7ea26372d5ab028b7060071957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecb39e322339128224263f4b5baa72f5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#aecb39e322339128224263f4b5baa72f5">RHO2_formula_error.x_data</a> = np.reshape(np.concatenate((np.array(X_train),np.array(X_val))),(inp.NDatasets,256,i))</td></tr>
<tr class="separator:aecb39e322339128224263f4b5baa72f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66a6f6dcfaa671d7aa72d831b04ed7bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a66a6f6dcfaa671d7aa72d831b04ed7bc">RHO2_formula_error.y_data</a> = np.reshape(np.concatenate((np.array(y_train),np.array(y_val))),(inp.NDatasets,256*256))</td></tr>
<tr class="separator:a66a6f6dcfaa671d7aa72d831b04ed7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1485307662c8637c5d615447023a71d7"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a1485307662c8637c5d615447023a71d7">RHO2_formula_error.thiserr</a> = []</td></tr>
<tr class="separator:a1485307662c8637c5d615447023a71d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad00be1222e6621ddbdc29f8011d357df"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#ad00be1222e6621ddbdc29f8011d357df">RHO2_formula_error.rho2</a> = []</td></tr>
<tr class="separator:ad00be1222e6621ddbdc29f8011d357df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81fe7d4e23d81d9e9b9b7594eadad9dc"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a81fe7d4e23d81d9e9b9b7594eadad9dc">RHO2_formula_error.local_err</a> = y_data[j,:]/83.0-np.reshape(rho2,inp.Npoints*inp.Npoints)</td></tr>
<tr class="separator:a81fe7d4e23d81d9e9b9b7594eadad9dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2381b99a9a9267643010a307c476d422"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a2381b99a9a9267643010a307c476d422">RHO2_formula_error.rho</a> = []</td></tr>
<tr class="separator:a2381b99a9a9267643010a307c476d422"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a197c11d995fe7139e8da2b8b5ccd0759"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a197c11d995fe7139e8da2b8b5ccd0759">RHO2_formula_error.legend</a> = []</td></tr>
<tr class="separator:a197c11d995fe7139e8da2b8b5ccd0759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4cf7a7bb87f6b061664236e99cb1d76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#ad4cf7a7bb87f6b061664236e99cb1d76">RHO2_formula_error.fig</a></td></tr>
<tr class="separator:ad4cf7a7bb87f6b061664236e99cb1d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34cc38976eb4b4a5f3fd484622937154"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a34cc38976eb4b4a5f3fd484622937154">RHO2_formula_error.ax</a></td></tr>
<tr class="separator:a34cc38976eb4b4a5f3fd484622937154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba862f5e0fd432c8a275116eb4c7af48"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#aba862f5e0fd432c8a275116eb4c7af48">RHO2_formula_error.yerr</a></td></tr>
<tr class="separator:aba862f5e0fd432c8a275116eb4c7af48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a341df2fbf6b539c12a421c5974920b99"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a341df2fbf6b539c12a421c5974920b99">RHO2_formula_error.fmt</a></td></tr>
<tr class="separator:a341df2fbf6b539c12a421c5974920b99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1294d1db9ae7f3d603fd94054dac8f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#ae1294d1db9ae7f3d603fd94054dac8f0">RHO2_formula_error.ecolor</a></td></tr>
<tr class="separator:ae1294d1db9ae7f3d603fd94054dac8f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c59401c1ea74253f255d3afe7919b22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#a1c59401c1ea74253f255d3afe7919b22">RHO2_formula_error.loc</a></td></tr>
<tr class="separator:a1c59401c1ea74253f255d3afe7919b22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3486990ff34b15263c9075baddd2b70"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#aa3486990ff34b15263c9075baddd2b70">RHO2_formula_error.xlabel</a></td></tr>
<tr class="separator:aa3486990ff34b15263c9075baddd2b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb14a77ebdeac53aa62d7e7d6189036a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__formula__error.html#aeb14a77ebdeac53aa62d7e7d6189036a">RHO2_formula_error.ylabel</a></td></tr>
<tr class="separator:aeb14a77ebdeac53aa62d7e7d6189036a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="RHO2__formula__error_8py.html">RHO2_formula_error.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
